/* LED counter GNOME panel applet
 * Insprired by Sixtyfour bit counter by Tim Gerla
 * and xled by Jan Schoenepauck <schoenep@uni-wuppertal.de>
 * and Joachim Gassen <gassen@uni-muenster.de>"
 *
 * By Uwe Steinmann <Uwe.Steinmann@fernuni-hagen.de>
 *
 * Enjoy.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or 
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License  
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __LEDCOUNT_H__
#define __LEDCOUNT_H__

/* now defined in Makefile
#define MAX_DISPLAYS 10
*/
#define	BUTTON_HEIGHT	(10)
#define DISPLAY_WIDTH 51
#define	DISPLAY_HEIGHT 33

typedef struct _DISP_INFO {
	GtkWidget *display;   // Just the display
	GtkWidget *container; // Container for display, frame and button
	GtkWidget *label;     // Just the label on the button
	GtkWidget *button;    // Just the label on the button
	guint digits;         // Number of digits
	guint autodigits;     // 1 if autoranging is on
	char *mailbox_file;   // the mailbox
	int show_all_messages;// 1 if all messages should be shown
	int mail_mode;        // 1=count mail, 0=frontend mode or vbox
	int front_end_mode;   // 1=run count command 0=vbox (always 0)
	char *backend_command;// count command
	char *exec_command;   // execute if command button clicked
	int exec_button;      // 1=show command button
	char *title;          // Title shown in command button
	gint timeout;         // timeout
	int updatetime;       // time in ms between updates
} DISP_INFO;

#endif
